
////////////c code**********


#include <htc.h>
#include <pic.h>
#include "rc5_decoder.h"
#define _XTAL_FREQ 4000000

/*
#define _PWRTE_ON EQU H'3FEF' //PWRT enabled
#define _MCLRE_ON EQU H'3FFF' //MCLR pin function is MCLR
#define _WDT_ON EQU H'3FFF'   //WDT enabled
#define _CP_ON EQU H'3FBF'    //Program memory code protection is enable
*/

__CONFIG(XT & CP & PWRTEN & WDTEN & MCLREN);

void select_operation(void);

//*interrupt function ta call functionality when the remote input is detected*//

void interrupt isr(void);

/*--- Interrup vector ---*/

void interrupt isr(void)
  {
  unsigned char port;

  if(rc5Decode())
    {
    switch(command)
      {
      case RC5_NEMERIC_KEY_0:
        PORTC = 0x03;
        break;

      case RC5_NUMERIC_KEY_1:
        PORTC = 0x0C;
        break;

      default :
        PORTC = 0x0F;
        break;
        }
      }
    INTF = 0;
    }
  

void select_operation(void)
  {
  PORTC = 0x0F;
  } 


void main()
  {
  PORTA = 0xFF;
  TRISA = 0;

  PORTB = 0xFF;
  TRISB = 0;

  PORTC = 0x00;
  TRISC = 0;

  GIE = 1;
  INTE = 1;

  while(1){
    ;
    }
  }

/*--- End of File ---*/
